位置情報取得
GEThttps://datastore.agribus-connect.net/v1/agricultural-machinery/devices/{device_id}/locations
指定されたデバイスの位置情報履歴を取得します
認証
Bearer トークン (JWT) が必要 · 必要なスコープ: noki.locations.read
パラメータ
| 名前 | 場所 | 型 | 説明 |
|---|---|---|---|
device_id * | path | string | デバイスID(UUID形式) |
since | query | string | 開始日時(ISO8601形式) |
until | query | string | 終了日時(ISO8601形式) |
limit | query | integer (int32) | 取得件数上限 |
sort | query | string | ソート順(asc/desc) |
curl の例
curl -X GET 'https://datastore.agribus-connect.net/v1/agricultural-machinery/devices/{device_id}/locations' \
-H 'Authorization: Bearer <access_token>'レスポンス
200 — OK · application/json FeatureCollection
{
"type": "FeatureCollection",
"features": [
{
"type": "Feature",
"geometry": {
"type": "Point",
"coordinates": [
141.35,
43.06,
25
]
},
"properties": {
"device_id": "550e8400-e29b-41d4-a716-446655440000",
"date_time": "2026-01-10T01:23:45Z",
"speed": 1.8,
"heading": 92.5,
"is_working": true,
"work_width": 3,
"gnss_status": "RtkFix",
"operation_type": "Tilling"
}
}
]
}